cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/invoices" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/invoices", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/invoices",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"invoices": [
{
"id": "cmvuqq2ms0045vdw4hm2zqxfr",
"invoiceId": "ORD-A2NG-YPMS-922G-3SHD-4U34",
"orderId": "ORD-A2NG-YPMS-922G-3SHD-4U34",
"storeId": "cmvuo0akc0002vdesum2w5xa1",
"status": "processing",
"productName": "Obsidian — Gaming Store Theme",
"price": 99.99,
"paid": null,
"paymentMethod": "Checkout",
"customerEmail": "",
"country": null,
"createdAt": "2026-10-30T08:58:54.292Z",
"completedAt": null,
"updatedAt": "2026-10-30T08:58:54.292Z"
},
{
"id": "cmvuot3yj001lvdw4t12lkbyf",
"invoiceId": "ORD-6PAD-296H-YCU5-F8SG-QQCT",
"orderId": "ORD-6PAD-296H-YCU5-F8SG-QQCT",
"storeId": "cmvuo0akc0002vdesum2w5xa1",
"status": "processing",
"productName": "Obsidian — Gaming Store Theme",
"price": 99.99,
"paid": null,
"paymentMethod": "Checkout",
"customerEmail": "",
"country": null,
"createdAt": "2026-10-30T08:05:16.747Z",
"completedAt": null,
"updatedAt": "2026-10-30T08:05:16.747Z"
}
],
"limit": 2,
"hasMore": true,
"nextCursor": "MjAyNi0xMC0zMFQwODowNToxNi43NDdafGNtdnVvdDN5ajAwMWx2ZHc0dDEybGtieWY"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}List invoices
Invoices issued for orders, newest first. Pass nextCursor as cursor for the next page.
Scope: invoice:read
GET
/
api
/
merchant
/
v1
/
stores
/
{storeId}
/
invoices
cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/invoices" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/invoices", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/invoices",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"invoices": [
{
"id": "cmvuqq2ms0045vdw4hm2zqxfr",
"invoiceId": "ORD-A2NG-YPMS-922G-3SHD-4U34",
"orderId": "ORD-A2NG-YPMS-922G-3SHD-4U34",
"storeId": "cmvuo0akc0002vdesum2w5xa1",
"status": "processing",
"productName": "Obsidian — Gaming Store Theme",
"price": 99.99,
"paid": null,
"paymentMethod": "Checkout",
"customerEmail": "",
"country": null,
"createdAt": "2026-10-30T08:58:54.292Z",
"completedAt": null,
"updatedAt": "2026-10-30T08:58:54.292Z"
},
{
"id": "cmvuot3yj001lvdw4t12lkbyf",
"invoiceId": "ORD-6PAD-296H-YCU5-F8SG-QQCT",
"orderId": "ORD-6PAD-296H-YCU5-F8SG-QQCT",
"storeId": "cmvuo0akc0002vdesum2w5xa1",
"status": "processing",
"productName": "Obsidian — Gaming Store Theme",
"price": 99.99,
"paid": null,
"paymentMethod": "Checkout",
"customerEmail": "",
"country": null,
"createdAt": "2026-10-30T08:05:16.747Z",
"completedAt": null,
"updatedAt": "2026-10-30T08:05:16.747Z"
}
],
"limit": 2,
"hasMore": true,
"nextCursor": "MjAyNi0xMC0zMFQwODowNToxNi43NDdafGNtdnVvdDN5ajAwMWx2ZHc0dDEybGtieWY"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}Authorizations
Your Merchant API key. Create one in Dashboard → Developers → API keys.
Path Parameters
Your store id. Find it in Dashboard → Developers, or in GET /stores with MCP.
Query Parameters
Items per page (1–100).
Required range:
1 <= x <= 100Cursor from the previous page.
Only orders with this status.
Available options:
pending, paid, processing, completed, cancelled, canceled, failed, expired, refunded Created on or after this date (ISO 8601).
Created on or before this date (ISO 8601).
Response
A page of invoices and the next cursor.
The response is of type object.

